Kertas Nusantara - Feature #4141

[E-Recruitment] Penambahan Message pada button save di menu My Profile

01/13/2026 11:04 AM - Dhafin Riando

Status: Revise Start date: 01/13/2026
Priority: Normal Due date: 01/22/2026
Assignee: Dhafin Riando % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Dear Tim Developer,

Mohon bantuannya untuk melakukan implementasi beberapa ui ux dibawah ini:

1. Halaman File Data — Empty State

» Menampilkan halaman File Data ketika belum ada data.
» Menampilkan teks “No Data” di tengah halaman.

* Menyediakan tombol Add File Data di kanan atas.

* Menampilkan tombol navigasi:

Back

Save

Next

2. Halaman Add File Data (Form Input)
» Menampilkan form input dengan field:
File Type (Dropdown)

File Name (Text Input)

File Upload (File Picker)

Notes (Text Input)

» Validasi field wajib:
File Type

File Name

File Upload

+ Tombol aksi:
Back — kembali ke halaman sebelumnya
Save — menyimpan data file

« Setelah save berhasil, data masuk ke list File Data.

3. Halaman File Data — List View

» Menampilkan daftar file yang telah diinput dalam bentuk list.
* Setiap item menampilkan:

Nama file

Jenis file (File Type)

» Menyediakan action per item:
Edit (icon pencil)

Delete (icon trash)

» Tombol Add File Data tetap tersedia untuk menambah file baru.
» Tombol navigasi:

Back

Save

Next

Functional Notes:

« File yang diupload harus tersimpan dan dapat ditampilkan kembali di list.

* Aksi delete memerlukan konfirmasi.
» Layout dan spacing mengikuti desain Ul yang diberikan.
+ Konsisten dengan style button, warna, dan komponen existing system.

Acceptance Criteria

» Halaman empty, form input, dan list tampil sesuai desain.

+ Data file dapat ditambahkan, ditampilkan, diedit, dan dihapus.
« Validasi form berjalan dengan baik.

+ Navigasi Back / Save / Next berfungsi sesuai flow.

PORT: https://erec-kertasnusantara-dev.minovais.
DB: 103.153.60.89 (MinovaES_KertasNusantara_Dev)

History

#1 - 01/13/2026 11:04 AM - Dhafin Riando

- File Halaman Add File Data (Form Input).png added
- File Halaman File Data — Empty State.png added

- File Halaman File Data — List View.png added

#2 - 01/13/2026 11:37 AM - Dhafin Riando
- File clipboard-202601131137-vshfy.png added
- File clipboard-202601131137-mivhw.png added

Ralat ya mas untuk Penambahannya hanya di message aja, berikut untuk messagenya ketika ingin dia save

Apakah Anda ingin melakukan penambahan data?

Yes Mo
#3 - 01/13/2026 11:38 AM - Dhafin Riando

- Subject changed from [E-Recruitment] Develop My Profile pada File Data Page (Add, List, Edit, Delete) to [E-Recruitment] Penambahan Message

pada button save di menu My Profile

#4 - 01/14/2026 03:05 PM - Dhafin Riando
- Assignee changed from M Azid Wahyudi to Dhafin Riando

#5 - 01/14/2026 04:40 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Assignee changed from Dhafin Riando to M Azid Wahyudi

#6 - 01/15/2026 11:20 AM - M Azid Wahyudi
- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Dhafin Riando

dear dhafin , ini ga jadi yaa setelah di cek product kita udah lengkap tinggal dirapihin2 aja

terimakasih

Files

Halaman File Data — Empty State.png 98.2 KB 01/13/2026 Dhafin Riando

Halaman Add File Data (Form Input).png 97.2 KB 01/13/2026 Dhafin Riando
Halaman File Data — List View.png 109 KB 01/13/2026 Dhafin Riando
clipboard-202601131137-vshfy.png 4.8 KB 01/13/2026 Dhafin Riando
clipboard-202601131137-mlvhw.png 97.7 KB 01/13/2026 Dhafin Riando
